Package org.eclipse.mat.ui.snapshot.panes

# Enum CompareTablesPane.SetopOption

java.lang.Object
java.lang.Enum<CompareTablesPane.SetopOption>
org.eclipse.mat.ui.snapshot.panes.CompareTablesPane.SetopOption

All Implemented Interfaces:
  `Serializable`, `Comparable<CompareTablesPane.SetopOption>`, `java.lang.constant.Constable`

Enclosing class:
  CompareTablesPane

public static enum CompareTablesPane.SetopOption extends Enum<CompareTablesPane.SetopOption>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
`DIFFERENCE`
`INTERSECTION`
`NONE`
`REVERSE_DIFFERENCE`
`SYMMETRIC_DIFFERENCE`
`UNION`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static CompareTablesPane.SetopOption`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompareTablesPane.SetopOption[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final CompareTablesPane.SetopOption NONE

### ALL

public static final CompareTablesPane.SetopOption ALL

### INTERSECTION

public static final CompareTablesPane.SetopOption INTERSECTION

### UNION

public static final CompareTablesPane.SetopOption UNION

### SYMMETRIC_DIFFERENCE

public static final CompareTablesPane.SetopOption SYMMETRIC_DIFFERENCE

### DIFFERENCE

public static final CompareTablesPane.SetopOption DIFFERENCE

### REVERSE_DIFFERENCE

public static final CompareTablesPane.SetopOption REVERSE_DIFFERENCE

## Method Details

### values

public static CompareTablesPane.SetopOption[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CompareTablesPane.SetopOption valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<CompareTablesPane.SetopOption>`